#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configgeneralbase.ui'
**
** Created: Fri Aug 8 03:36:20 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configgeneralbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <kfontrequester.h>
#include <kcolorbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kfontrequester.h"
#include "kcolorbutton.h"

/*
 *  Constructs a ConfigGeneralBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigGeneralBase::ConfigGeneralBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigGeneralBase" );
    ConfigGeneralBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ConfigGeneralBaseLayout"); 

    generalGroup = new QGroupBox( this, "generalGroup" );
    generalGroup->setColumnLayout(0, Qt::Vertical );
    generalGroup->layout()->setSpacing( 6 );
    generalGroup->layout()->setMargin( 11 );
    generalGroupLayout = new QVBoxLayout( generalGroup->layout() );
    generalGroupLayout->setAlignment( Qt::AlignTop );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    titleLabel = new QLabel( generalGroup, "titleLabel" );
    layout1->addWidget( titleLabel );

    title = new QLineEdit( generalGroup, "title" );
    layout1->addWidget( title );
    generalGroupLayout->addLayout( layout1 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    titleFontLabel = new QLabel( generalGroup, "titleFontLabel" );
    layout4->addWidget( titleFontLabel );

    titleFont = new KFontRequester( generalGroup, "titleFont" );
    layout4->addWidget( titleFont );
    generalGroupLayout->addLayout( layout4 );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    itemFontLabel = new QLabel( generalGroup, "itemFontLabel" );
    layout5->addWidget( itemFontLabel );

    itemFont = new KFontRequester( generalGroup, "itemFont" );
    layout5->addWidget( itemFont );
    generalGroupLayout->addLayout( layout5 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    colorLabel = new QLabel( generalGroup, "colorLabel" );
    layout2->addWidget( colorLabel );

    color = new KColorButton( generalGroup, "color" );
    layout2->addWidget( color );
    spacer1 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer1 );
    generalGroupLayout->addLayout( layout2 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    locked = new QCheckBox( generalGroup, "locked" );
    layout3->addWidget( locked );
    spacer2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer2 );
    generalGroupLayout->addLayout( layout3 );

    ConfigGeneralBaseLayout->addWidget( generalGroup, 0, 0 );
    languageChange();
    resize( QSize(420, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigGeneralBase::~ConfigGeneralBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigGeneralBase::languageChange()
{
    setCaption( tr2i18n( "Panel General Configuration" ) );
    generalGroup->setTitle( tr2i18n( "General Options" ) );
    titleLabel->setText( tr2i18n( "Panel Title:" ) );
    titleFontLabel->setText( tr2i18n( "Title Font:" ) );
    itemFontLabel->setText( tr2i18n( "Item Font:" ) );
    colorLabel->setText( tr2i18n( "Panel Color:" ) );
    color->setText( QString::null );
    locked->setText( tr2i18n( "Lock Panel Position" ) );
}

#include "configgeneralbase.moc"
