/***************************************************************************
 *   Copyright (C) 2006 by Arthur Renato Mello <renato@mandriva.com.br>    *
 *                 2007 by Gustavo Pichorim Boiko <boiko@mandriva.com>     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KPANELSDOCKWIDGET_H
#define KPANELSDOCKWIDGET_H

#include <ksystemtray.h>

class KPopupMenu;

/**
 * The KPanels system tray
 */
class DockWidget : public KSystemTray
{
   Q_OBJECT
public:
    /**
     * Inherited constructor
     */
    DockWidget(QWidget *parent=0, const char *name=0);

    ~DockWidget();

    void showDesktop();
private slots:
    void slotToggleStartup();
    
protected:
    void mouseReleaseEvent(QMouseEvent *event);
    virtual void contextMenuAboutToShow(KPopupMenu *menu);

private:
    int m_toggleStartupIndex;
    bool m_startup;
};

#endif
