/***************************************************************************
 *   Copyright (C) 2007 by Gustavo Pichorim Boiko   *
 *   boiko@mandriva.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ACTIONITEM_H
#define ACTIONITEM_H

#include "panelitem.h"
#include "actionpanel.h"

/**
 * An entry of a ActionPanel
 */
class ActionItem : public PanelItem
{
Q_OBJECT
public:
    ActionItem(Panel *pan, int action);

    ~ActionItem();
    
    virtual bool canRemove();
    virtual void remove();
    
public slots:
    virtual bool launch(const QStringList &args = QStringList());
    
private:
    int m_action;

};

#endif
